New Information

Refine search

2018.7.30 -  News and Info

We will be disabling TLS 1.0/1.1 on 2018/10/1

In order to better guarantee secure communications for MAGELLAN BLOCKS, we will be disabling support for the TLS 1.0/1.1 encryption protocols on October 1, 2018.

As such, older browsers and operating systems that use TLS 1.0/1.1 will no longer be able to use MAGELLAN BLOCKS. Please make sure your browser and environment are TLS 1.2 compliant by October 1st.

We recommend using MAGELLAN BLOCKS with the latest version of Chrome, Firefox, or Safari.